Package com.arms.api.analysis.cost.service

## Interface SalaryService

- All Superinterfaces:
    `TreeService`
  All Known Implementing Classes:
    `SalaryServiceImpl`

      public interface SalaryService
      extends TreeService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<SalaryEntity>` | `compareSalaryInfo​(java.util.List<SalaryVO> SalaryVO)` |
    `java.util.List<SalaryVO>` | `getAllSalaries()` |
    `java.util.Map<java.lang.String,​SalaryEntity>` | `getAllSalariesMap()` |
    `java.util.List<SampleDTO>` | `getSampleSalaryInfo()` |
    `java.util.List<SalaryVO>` | `saveExcelDataToDB​(java.util.List<SalaryEntity> salaryEntityList)` |
    `int` | `updateSalary​(java.util.List<SalaryEntity> salaryEntityList)` |

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Method Detail

    - #### getSampleSalaryInfo

          java.util.List<SampleDTO> getSampleSalaryInfo()

    - #### compareSalaryInfo

          java.util.List<SalaryEntity> compareSalaryInfo​(java.util.List<SalaryVO> SalaryVO)
                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### saveExcelDataToDB

          java.util.List<SalaryVO> saveExcelDataToDB​(java.util.List<SalaryEntity> salaryEntityList)
                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getAllSalariesMap

          java.util.Map<java.lang.String,​SalaryEntity> getAllSalariesMap()
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getAllSalaries

          java.util.List<SalaryVO> getAllSalaries()
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateSalary

          int updateSalary​(java.util.List<SalaryEntity> salaryEntityList)
                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`